### Function

# Gegl Bufferload

#### Declaration [src]

    GeglBuffer*
    gegl_buffer_load (
      const gchar* path
    )

#### Description [src]

Loads an existing GeglBuffer from disk, if it has previously been saved with gegl_buffer_save it should be possible to open through any GIO transport, buffers that have been used as swap needs random access to be opened.

#### Parameters

`path`

  Type: `const gchar*`

  The path to a gegl buffer on disk.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglBuffer`

A `GeglBuffer` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.